Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.pref
Class TasksPreferences.TaskColumn

    java.lang.Object
      portlets.compoze.groupware.pref.TasksPreferences.TaskColumn

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  TasksPreferences

public static class TasksPreferences.TaskColumn
extends java.lang.Object
implements java.io.Serializable

This class represents the task column for ordering.

See Also:
  Serialized Form

Field Summary
`static TasksPreferences.TaskColumn` | `DUE_DATE` This value represents the 'due date' column.
`static TasksPreferences.TaskColumn` | `IMPORTANCE` This value represents the 'importance' column.
`static TasksPreferences.TaskColumn` | `STATUS` This value represents the 'status' column.
`static TasksPreferences.TaskColumn` | `SUBJECT` This value represents the 'subject' column.
`static int` | `VALUE_DUE_DATE` This value represents the 'due date' column.
`static int` | `VALUE_IMPORTANCE` This value represents the 'importance' column.
`static int` | `VALUE_STATUS` This value represents the 'status' column.
`static int` | `VALUE_SUBJECT` This value represents the 'subject' column.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static TasksPreferences.TaskColumn` | `get(int iValue)` Gets the column by the value.
`static java.util.List` | `getColumns()` Gets the list of columns objects.
`java.lang.String` | `getKey()` Gets the i18n resource key name.
`int` | `getValue()` Gets the value of the column.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_DUE_DATE

    public static final int VALUE_DUE_DATE

  This value represents the 'due date' column.

  See Also:
    Constant Field Values

### VALUE_SUBJECT

    public static final int VALUE_SUBJECT

  This value represents the 'subject' column.

  See Also:
    Constant Field Values

### VALUE_STATUS

    public static final int VALUE_STATUS

  This value represents the 'status' column.

  See Also:
    Constant Field Values

### VALUE_IMPORTANCE

    public static final int VALUE_IMPORTANCE

  This value represents the 'importance' column.

  See Also:
    Constant Field Values

### DUE_DATE

    public static final TasksPreferences.TaskColumn DUE_DATE

  This value represents the 'due date' column.

### SUBJECT

    public static final TasksPreferences.TaskColumn SUBJECT

  This value represents the 'subject' column.

### STATUS

    public static final TasksPreferences.TaskColumn STATUS

  This value represents the 'status' column.

### IMPORTANCE

    public static final TasksPreferences.TaskColumn IMPORTANCE

  This value represents the 'importance' column.

Method Detail

### getKey

    public java.lang.String getKey()

  Gets the i18n resource key name.

  Returns:
    the key

### getValue

    public int getValue()

  Gets the value of the column.

  Returns:
    the value (see `VALUE_` constants)

### get

    public static TasksPreferences.TaskColumn get(int iValue)

  Gets the column by the value.

  Parameters:
    `iValue` - the value to get by
  Returns:
    the matching column or `null` if not found

### getColumns

    public static java.util.List getColumns()

  Gets the list of columns objects.

  Returns:
    the list of `TaskColumn` objects (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The value is used to determine equality.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same value as the argument; `false` otherwise
  See Also:
    `getValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.